Bug 47122 - vax-*-openbsd* configuration purports to require openbsd-pthread.h
Summary: vax-*-openbsd* configuration purports to require openbsd-pthread.h
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.8.0
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: build
Depends on:
Blocks: 47093
  Show dependency treegraph
 
Reported: 2010-12-29 16:41 UTC by Jorn Wolfgang Rennecke
Modified: 2016-01-20 22:50 UTC (History)
3 users (show)

See Also:
Host: x86_64-pc-linux-gnu
Target: vax-openbsd
Build:
Known to work: 6.0
Known to fail: 4.6.0, 4.8.0, 4.9.0, 5.0
Last reconfirmed: 2015-04-22 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jorn Wolfgang Rennecke 2010-12-29 16:41:55 UTC
make[2]: *** No rule to make target `../../../gcc/gcc/config/openbsd-pthread.h', needed by `c-lang.o'.  Stop.

The vax-*-openbsd*) case in config.gcc refers to openbsd-pthread.h;
for all I know, that might be what the file is called, but its name is
openbsd-libpthread.h .  (To continue with the "HADDOCKS' EYES" analogy,
that name is called a basename; the file has also the name
$(srcdir)/config/openbsd-libpthread.h, which is called a pathname,
and the file is just a few comments and a #define .)
Comment 1 Bernhard Reutner-Fischer 2015-04-22 08:30:46 UTC
Author: aldot
Date: Wed Apr 22 08:30:15 2015
New Revision: 222314

URL: https://gcc.gnu.org/viewcvs?rev=222314&root=gcc&view=rev
Log:
PR target/47122: vax-*-openbsd* config.gcc typo

Gerald / jsg typoed this in the initial r152218 a.k.a
8e6600a15374f9446d5026e8ef6b68e0d753fb6c


Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/config.gcc
Comment 2 Bernhard Reutner-Fischer 2015-04-22 08:59:49 UTC
Fixed on the trunk.
Comment 3 Bernd Schmidt 2016-01-18 14:57:22 UTC
Can this be closed?
Comment 4 rep.dot.nop@gmail.com 2016-01-20 21:23:22 UTC
On January 18, 2016 3:57:22 PM GMT+01:00, "bernds at gcc dot gnu.org" <gcc-bugzilla@gcc.gnu.org> wrote:

>Can this be closed?

Sorry, yes, i think so.
Comment 5 Bernd Schmidt 2016-01-20 22:50:07 UTC
Fixed.